//////////////////////////////////////////////
// CheckBox.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "Component.h"

#include "../Dll/DllDefines.h"

#include "../Inputs/CallbackRepository.h"

/// Class ------------------------------------
	
namespace nkWinUi
{
	class DLL_WINUI_EXPORT CheckBox : public Component
	{
		protected :
		
			// Attributs
			// Callback
			checkBoxCallback _callback ;
		
		public :
		
			// Constructeur, destructeur
			CheckBox () ;
			~CheckBox () ;

			// Getters
			virtual bool isChecked () const = 0 ;
			checkBoxCallback getCheckSpecializedCallback () const ;

			// Setters
			virtual void setChecked (bool val) = 0 ;
			void setCheckSpecializedCallback (checkBoxCallback value) ;
	} ;
}